# Toloka-Prefect

[![GitHub Tests](https://github.com/Toloka/toloka-prefect/workflows/Tests/badge.svg?branch=main)](//github.com/Toloka/toloka-prefect/actions?query=workflow:Tests)

This library allows you to run crowdsourcing [Toloka](https://toloka.ai/) processes in [Prefect](https://www.prefect.io/) - a widely used workflow management system

Here you can find a collection of ready-made Prefect tasks for the most frequently used actions in [Toloka-Kit](https://github.com/Toloka/toloka-kit).

Getting started
--------------
```
$ pip install toloka-prefect
```

A good way to start is to follow the [example](https://github.com/Toloka/toloka-prefect/blob/main/example/text_classification.ipynb) in this repo.

Useful Links
--------------
- [Toloka homepage.](https://toloka.ai/)
- [Prefect homepage.](https://prefect.io/)
- [Toloka API documentation.](https://yandex.com/dev/toloka/doc/concepts/about.html?lang=en)
- [Toloka-kit usage examples.](https://github.com/Toloka/toloka-kit/tree/main/examples#toloka-kit-usage-examples)

Questions and bug reports
--------------
* For reporting bugs please use the [Toloka/bugreport](https://github.com/Toloka/toloka-prefect/issues) page.
* Join our English-speaking [slack community](https://toloka.ai/community) for both tech and abstract questions.

License
-------
© YANDEX LLC, 2020-2021. Licensed under the Apache License, Version 2.0. See LICENSE file for more details.
